<launch>
    <node name="aruco_pose_node" pkg="aruco_pose" type="aruco_pose_node" output="screen">
        <!-- ArUco -->
        <param name="marker_size" type="double" value="0.1"/>
        <param name="dictionary" type="string" value="ARUCO"/>
        <param name="marker_list" type="string" value="90,20,25"/>
        <param name="err_correction" type="double" value="0.0"/>
        <param name="draw_markers" type="boolean" value="true"/>
        <param name="yperpendicular" type="boolean" value="false"/>
        <param name="detection_mode" type="string" value="DM_NORMAL"/>

        <!-- RViz -->
        <param name="marker_base" type="boolean" value="true"/>
        <param name="frame_id" type="string" value="base_link"/>
        <param name="scale" type="double" value="5"/>
        <param name="width" type="double" value="0.5"/>
        <param name="alpha" type="double" value="1.0"/>

        <!-- ROS Node -->
        <param name="image_topic" type="" value="zed2/right/image"/>
        <!-- <param name="image_topic" type="" value="/cv_camera/image_raw"/> -->
        <param name="markers_topic" type="string" value="aruco_pose_r/markers"/>
        <param name="output_image_topic" type="string" value="aruco_pose_r/image"/>
        <param name="three_points_estimation_topic" type="string" value="aruco_pose_r/3points_estimation"/>

        <!-- Camera -->
        <param name="use_camera_info" type="boolean" value="true"/>
        <param name="use_rectified_parameters" type="boolean" value="false"/>

        <!-- Statistics -->
        <param name="averaging" type="int" value="1"/>
        <param name="three_poins_estimation" type="boolean" value="true"/>
    </node>
</launch>